Entity API
Create Entity
Create a new entity for a team.
POST
/
v2
/
entities
Create Entity
curl --request POST \
--url https://public.api.serval.com/v2/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": true
}
]
}
'import requests
url = "https://public.api.serval.com/v2/entities"
payload = {
"teamId": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
entityTypeId: '<string>',
key: '<string>',
name: '<string>',
fieldValues: [{fieldId: '<string>', fieldKey: '<string>', value: 123, pinned: true}]
})
};
fetch('https://public.api.serval.com/v2/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"fieldValues": [
{
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
}
],
"sourceAppInstanceIds": [
"<string>"
],
"sharedMetadata": {
"sourceTeamId": "<string>",
"sourceTeamName": "<string>"
}
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID of the team.
The ID of the entity type.
The entity key. Sets the value of the entity type's key field (is_key_field). Ignored if field_values already contains a value for the key field.
The entity name. Sets the value of the entity type's name field (is_name_field). Ignored if field_values already contains a value for the name field.
The field values for the entity. Must include the key field and name field values (unless using the key/name convenience fields above).
Show child attributes
Show child attributes
Response
Success
The created entity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Entity

